aboutsummaryrefslogtreecommitdiffstats
path: root/src/main/scripts/dataSnapshot.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/main/scripts/dataSnapshot.sh')
-rw-r--r--src/main/scripts/dataSnapshot.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/src/main/scripts/dataSnapshot.sh b/src/main/scripts/dataSnapshot.sh
new file mode 100644
index 0000000..f380e85
--- /dev/null
+++ b/src/main/scripts/dataSnapshot.sh
@@ -0,0 +1,28 @@
+#!/bin/ksh
+#
+# This script invokes the dataSnapshot java class passing an option to tell it to take
+# a snapshot of the database and store it as a single-line XML file.
+#
+#
+#
+#
+#
+COMMON_ENV_PATH=$( cd "$(dirname "$0")" ; pwd -P )
+. ${COMMON_ENV_PATH}/common_functions.sh
+
+processStat=$(ps -ef | grep '[D]ataSnapshot');
+if [ "$processStat" != "" ]
+ then
+ echo "Found dataSnapshot is already running: " $processStat
+ exit 1
+fi
+
+# TODO: There is a better way where you can pass in the function
+# and then let the common functions check if the function exist and invoke it
+# So this all can be templated out
+start_date;
+check_user;
+source_profile;
+execute_spring_jar org.onap.aai.datasnapshot.DataSnapshot $PROJECT_HOME/resources/logback.xml "$@"
+end_date;
+exit 0